- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes

# CurveEditor Class Reference

Search for all occurrences

## Detailed Description

Definition at line 430 of file widgets.h.

`#include <widgets.h>`

Inheritance diagram for CurveEditor:
[legend]

List of all members.

## Signals
void | nurbsValueChanged ()
void | CurveReadyToBeApplied ()
## Public Member Functions
| CurveEditor (QWidget *pParent=0, const char *sName=0, bool bNurbs=false)
void | SelectCP (CPBox *pCP)
void | DeleteCP (void)
void | AddCP (float x, float y)
void | Init (void *pCurve=0)
void | SetFixedSize (int w, int h)
void | MakeReadOnly ()
void | NurbsValueChanged ()
void | ApplyCurve ()
## Public Attributes
bool | m_bSnap
bool | m_bNurbs
int | m_iDeleteHandleSize
void * | m_pCurve
## Protected Member Functions
QSize | sizeHint (void) const
void | paintEvent (QPaintEvent *pe)
void | resizeEvent (QResizeEvent *pEvent)
void | mousePressEvent (QMouseEvent *pEvent)
void | mouseReleaseEvent (QMouseEvent *pEvent)
void | mouseMoveEvent (QMouseEvent *pEvent)
void | keyPressEvent (QKeyEvent *pEvent)
void | keyReleaseEvent (QKeyEvent *pEvent)
int | CanvasToScreenX (float f)
int | CanvasToScreenY (float f)
float | ScreenToCanvasX (int i)
float | ScreenToCanvasY (int i)
## Protected Attributes
int | m_iCanvasWidth
int | m_iCanvasHeight
CPBox * | m_aBoxes [MAX_CURVE_POINTS]
CPBox * | m_pSelectedBox
QPoint | m_aDeleteCoordinates [MAX_CURVE_POINTS]

## Constructor & Destructor Documentation

CurveEditor | ( | QWidget * | pParent = `0`,
|  | const char * | sName = `0`,
|  | bool | bNurbs = `false`
| ) |  |

## Member Function Documentation

void SelectCP | ( | CPBox * | pCP | ) |

Search for all occurrences

void DeleteCP | ( | void |  | ) |

Search for all occurrences

void AddCP | ( | float | x,
|  | float | y
| ) |  |

Search for all occurrences

void Init | ( | void * | pCurve = `0` | ) |

Search for all occurrences

void SetFixedSize | ( | int | w,
|  | int | h
| ) |  |

Search for all occurrences

void MakeReadOnly | ( |  | ) |

Search for all occurrences

void NurbsValueChanged | ( |  | ) |

Search for all occurrences

void ApplyCurve | ( |  | ) |

Search for all occurrences

void nurbsValueChanged | ( |  | ) | `[signal]`

Search for all occurrences

void CurveReadyToBeApplied | ( |  | ) | `[signal]`

Search for all occurrences

QSize sizeHint | ( | void |  | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QFrame.

void paintEvent | ( | QPaintEvent * | pe | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QFrame.

void resizeEvent | ( | QResizeEvent * | pEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mousePressEvent | ( | QMouseEvent * | pEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mouseReleaseEvent | ( | QMouseEvent * | pEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mouseMoveEvent | ( | QMouseEvent * | pEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void keyPressEvent | ( | QKeyEvent * | pEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void keyReleaseEvent | ( | QKeyEvent * | pEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

int CanvasToScreenX | ( | float | f | ) | `[protected]`

Search for all occurrences

int CanvasToScreenY | ( | float | f | ) | `[protected]`

Search for all occurrences

float ScreenToCanvasX | ( | int | i | ) | `[protected]`

Search for all occurrences

float ScreenToCanvasY | ( | int | i | ) | `[protected]`

Search for all occurrences

## Member Data Documentation

bool m_bSnap

Search for all occurrences

Definition at line 444 of file widgets.h.

bool m_bNurbs

Search for all occurrences

Definition at line 444 of file widgets.h.

int m_iDeleteHandleSize

Search for all occurrences

Definition at line 445 of file widgets.h.

void* m_pCurve

Search for all occurrences

Definition at line 446 of file widgets.h.

int m_iCanvasWidth `[protected]`

Search for all occurrences

Definition at line 465 of file widgets.h.

int m_iCanvasHeight `[protected]`

Search for all occurrences

Definition at line 465 of file widgets.h.

CPBox* m_aBoxes[MAX_CURVE_POINTS] `[protected]`

Search for all occurrences

Definition at line 466 of file widgets.h.

CPBox* m_pSelectedBox `[protected]`

Search for all occurrences

Definition at line 467 of file widgets.h.

QPoint m_aDeleteCoordinates[MAX_CURVE_POINTS] `[protected]`

Search for all occurrences

Definition at line 468 of file widgets.h.

The documentation for this class was generated from the following file:

- Mudbox/widgets.h

CurveEditor CurveEditor CurveEditor CurveEditor CurveEditor CurveEditor CurveEditor CurveEditor CurveEditor CurveEditor
CurveEditor CurveEditor CurveEditor CurveEditor CurveEditor CurveEditor CurveEditor CurveEditor CurveEditor CurveEditor